此版本的 GitHub Enterprise 将停止服务 2021-09-23. 即使针对重大安全问题,也不会发布补丁。 要获得更好的性能、改进的安全性和新功能,请升级到 GitHub Enterprise 的最新版本。 如需升级方面的帮助,请联系 GitHub Enterprise 支持

关于易受攻击的依赖项的警报

当我们检测到影响仓库的漏洞时,GitHub Enterprise Server 将会发送 Dependabot 警报。

关于易受攻击的依赖项

漏洞是项目代码中的问题,可能被利用来损害机密性、完整性或者该项目或其他使用其代码的项目的可用性。 漏洞的类型、严重性和攻击方法各不相同。

当代码依赖于具有安全漏洞的包时,这种易受攻击的依赖项可能会导致项目或使用它的人遇到一系列问题。

有漏洞依赖项的检测

Dependabot 在以下情况下检测有漏洞的依赖项并发送 Dependabot 警报:

有关 GitHub Enterprise Server 可以检测到漏洞和依赖项的生态系统列表,请参阅“支持的包生态系统”。

注:保持清单和锁定文件为最新状态非常重要。 如果依赖关系图不能准确反映您当前的依赖项和版本,则可能错过有关您使用的有漏洞依赖项的警报。 您还可以收到不再使用的依赖项的警报。

有漏洞依赖项的 Dependabot 警报

您的站点管理员必须启用 您的 GitHub Enterprise Server 实例 的漏洞依赖项的Dependabot警报,然后您才可使用此功能。 更多信息请参阅“为 GitHub Enterprise Server 上易受攻击的依赖项启用安全警报”。

当 GitHub Enterprise Server 发现易受攻击的依赖项时,我们会生成 Dependabot 警报,并显示在仓库的 Security(安全)选项卡上。 该警报包括指向项目中受影响的文件的链接,以及有关修复的版本的信息。 GitHub Enterprise Server 还根据受影响仓库的管理员的通知首选项向他们通知新的警报。 更多信息请参阅“为易受攻击的依赖项配置通知”。

:GitHub Enterprise Server 的安全功能并不要求捕获所有漏洞。 虽然我们一直在努力更新漏洞数据库,生成包含最新信息的警报,但我们无法捕获一切或在保证的时间范围内向您警示已知的漏洞。 这些功能不是要替代人工检查每个依赖项的潜在漏洞或任何其他问题,并且我们建议在必要时咨询安全服务或全面检查漏洞。

访问 Dependabot警报

您可以在仓库的依赖关系图中看到影响特定项目的所有警报。

默认情况下,我们会向受影响仓库中具有管理员权限的人员通知有关新的 Dependabot 警报。

您可以选择 您关注的仓库中Dependabot 警报通知的递送方式,以及您接收通知的频率。 更多信息请参阅“配置漏洞依赖项的通知”。

此文档对您有帮助吗?隐私政策

帮助我们创建出色的文档!

所有 GitHub 文档都是开源的。看到错误或不清楚的内容了吗?提交拉取请求。

做出贡献

或, 了解如何参与。